%define _disable_ld_no_undefined 1
%global dataversion 0.2.7

Name:		libkkc
Version:	0.3.1
Release:	%mkrel 1
Summary:	Japanese Kana Kanji conversion library

License:	GPLv3+
Group:		System/Libraries
URL:		https://bitbucket.org/libkkc
Source0:	https://bitbucket.org/libkkc/libkkc/downloads/%{name}-%{version}.tar.xz
#Patch0:		libkkc-HEAD.patch

BuildRequires:	marisa-devel
BuildRequires:	vala
# Needed when any of *.vala files changed
BuildRequires:	vala-tools, vala-devel
# FIXME switch to libgee-0.8 once this package is ready for the new libgee API
BuildRequires:	%{_lib}gee0.6-devel
BuildRequires:	%{_lib}json-glib-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool
BuildRequires:	%{_lib}python-devel
BuildRequires:	marisa-python

Requires:	skkdic
Requires:	%{name}-data >= %{dataversion}
Requires:	%{name}-common = %{version}-%{release}

%description
libkkc provides a converter from Kana-string to
Kana-Kanji-mixed-string.  It was named after kkc.el in GNU Emacs, a
simple Kana Kanji converter, while libkkc tries to convert sentences
in a bit more complex way using N-gram language models.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        tools
Summary:	Tools for %{name}
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description	tools
The %{name}-tools package contains tools for developing applications
that use %{name}.


%package	common
Summary:	Common data files for %{name}
BuildArch:	noarch

%description	common
The %{name}-common package contains the arch-independent data that
%{name} uses at run time.


%prep
%setup -q
#patch0 -p1 -b .HEAD


%build
%configure --disable-static --disable-silent-rules
%make 

%check
make check


%install
%make_install INSTALL="install -p"

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc README data/rules/README.rules COPYING
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files common
%{_datadir}/libkkc

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*

%files tools
%{_bindir}/kkc*


%changelog
* Mon Nov 11 2013 pinoc <vogtpet at gmail.com> 0.3.1-1pclos2013
- imported package